=== debian/changelog ===
khronos-opencl-headers (3.0~2023.12.14-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 02 Jan 2024 15:01:19 +0100
