## khronos-opencl-headers 3.0~2024.05.08

=== debian/changelog ===
khronos-opencl-headers (3.0~2024.05.08-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 03 Jun 2024 13:59:39 +0200
