=== debian/control ===
--- 
+++ 
@@ -17,7 +17,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: opencl-headers (<< 2.1), opencl-clhpp-headers (<< 3.0~2.0.14)
+Breaks:
+ opencl-headers (<< 2.1),
+ opencl-clhpp-headers (<< 3.0~2024.10.24),
 Replaces: opencl-headers (<< 2.1)
 Description: OpenCL (Open Computing Language) C header files
  OpenCL (Open Computing Language) is a multi-vendor open standard for
@@ -25,7 +27,7 @@
  CPUs, GPUs and other processors.
  .
  This package provides the C development header files for the OpenCL API
- as published by The Khronos Group Inc.  The corresponding specification and
+ as published by The Khronos Group Inc. The corresponding specification and
  documentation can be found on the Khronos website.
 
 Package: opencl-headers
@@ -40,5 +42,5 @@
  CPUs, GPUs and other processors.
  .
  This metapackage depends on packages providing the C and C++ headers files
- for the OpenCL API as published by The Khronos Group Inc.  The corresponding
+ for the OpenCL API as published by The Khronos Group Inc. The corresponding
  specification and documentation can be found on the Khronos website.
