=== debian/changelog ===
khronos-opencl-headers (3.0~2025.07.22-2) unstable; urgency=medium

  * autopkgtest: Call cmake_minimum_required().  (Closes: #1116509)
  * Drop redundant Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Sep 2025 00:38:07 +0200

khronos-opencl-headers (3.0~2025.07.22-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Aug 2025 13:41:28 +0200
