=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-headers
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-headers.git
 Homepage: https://www.khronos.org/registry/cl/
